<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>3.5.11</version>
        <relativePath/> <!-- lookup parent from repository -->
    </parent>

    <groupId>com</groupId>
    <artifactId>zjrs</artifactId>
    <version>0.0.1-SNAPSHOT</version>
    <name>zjrs-service-backend</name>
    <description>zjrs-service-backend</description>

    <properties>
        <java.version>17</java.version>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-validation</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>

        <!-- Hutool工具包 -->
        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-all</artifactId>
            <version>5.8.26</version>
        </dependency>

        <!-- 本地依赖 -->
        <dependency>
            <groupId>com.leaf6</groupId>
            <artifactId>leaf6-uni-cloud-starter</artifactId>
            <version>1.0.0-SinoBest.20</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/leaf6-uni-cloud-starter-1.0.0-SinoBest.20.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.leaf6</groupId>
            <artifactId>leaf6-core-framework</artifactId>
            <version>2.0.0-SinoBest.21</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/leaf6-core-framework-2.0.0-SinoBest.21.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.leaf6</groupId>
            <artifactId>leaf6-uni-security</artifactId>
            <version>2.0.0-SinoBest.21</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/leaf6-uni-security-2.0.0-SinoBest.21.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.leaf6</groupId>
            <artifactId>leaf6-core-cache</artifactId>
            <version>2.0.0-SinoBest.21</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/leaf6-core-cache-2.0.0-SinoBest.21.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.leaf6</groupId>
            <artifactId>leaf6-core-framework-persistens-mybatis</artifactId>
            <version>2.0.0-SinoBest.21</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/leaf6-core-framework-persistens-mybatis-2.0.0-SinoBest.21.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.leaf6</groupId>
            <artifactId>leaf6-core-log</artifactId>
            <version>2.0.0-SinoBest.21</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/leaf6-core-log-2.0.0-SinoBest.21.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.leaf6</groupId>
            <artifactId>leaf6-core-security</artifactId>
            <version>2.0.0-SinoBest.21</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/leaf6-core-security-2.0.0-SinoBest.21.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.leaf6</groupId>
            <artifactId>leaf6-core-uc</artifactId>
            <version>2.0.0-SinoBest.21</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/leaf6-core-uc-2.0.0-SinoBest.21.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.leaf6</groupId>
            <artifactId>leaf6-uni-cloud-starter</artifactId>
            <version>1.0.0-SinoBest.21</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/leaf6-uni-cloud-starter-1.0.0-SinoBest.21.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.leaf6</groupId>
            <artifactId>leaf6-uni-common</artifactId>
            <version>2.0.0-SinoBest.21</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/leaf6-uni-common-2.0.0-SinoBest.21.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.leaf6</groupId>
            <artifactId>leaf6-uni-common-persisterns-mybatis</artifactId>
            <version>2.0.0-SinoBest.21</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/leaf6-uni-common-persisterns-mybatis-2.0.0-SinoBest.21.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.leaf6</groupId>
            <artifactId>leaf6-uni-feign</artifactId>
            <version>2.0.0-SinoBest.21</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/leaf6-uni-feign-2.0.0-SinoBest.21.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.leaf6</groupId>
            <artifactId>leaf6-uni-log</artifactId>
            <version>2.0.0-SinoBest.21</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/leaf6-uni-log-2.0.0-SinoBest.21.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.leaf6</groupId>
            <artifactId>leaf6-uni-log-mybatis</artifactId>
            <version>2.0.0-SinoBest.21</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/leaf6-uni-log-mybatis-2.0.0-SinoBest.21.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.yinhai</groupId>
            <artifactId>bcprov-jdk15on</artifactId>
            <version>1.60</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/bcprov-jdk15on-1.60.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi</artifactId>
            <version>4.1.2</version>
        </dependency>
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi-ooxml</artifactId>
            <version>4.1.2</version>
        </dependency>

        <!-- Swagger3 依赖 -->
        <dependency>
            <groupId>io.springfox</groupId>
            <artifactId>springfox-boot-starter</artifactId>
            <version>3.0.0</version>
        </dependency>

        <!-- MyBatis Plus 依赖 -->
        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>mybatis-plus-boot-starter</artifactId>
            <version>3.5.1</version>
        </dependency>

        <!-- Google Kaptcha 依赖 -->
        <dependency>
            <groupId>com.github.penggle</groupId>
            <artifactId>kaptcha</artifactId>
            <version>2.3.2</version>
        </dependency>

        <!-- Apache Commons Lang 依赖 -->
        <dependency>
            <groupId>commons-lang</groupId>
            <artifactId>commons-lang</artifactId>
            <version>2.6</version>
        </dependency>

        <!-- Fastjson 依赖 -->
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>1.2.76</version>
        </dependency>

        <!-- Micrometer Core 依赖 -->
        <dependency>
            <groupId>io.micrometer</groupId>
            <artifactId>micrometer-core</artifactId>
            <version>1.9.0</version>
        </dependency>

        <!-- AOP -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-aop</artifactId>
        </dependency>

        <dependency>
            <groupId>com.fasterxml.jackson.datatype</groupId>
            <artifactId>jackson-datatype-hibernate5</artifactId>
            <version>2.15.2</version>
        </dependency>

        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-core</artifactId>
            <version>5.6.15.Final</version>
        </dependency>

        <dependency>
            <groupId>org.springdoc</groupId>
            <artifactId>springdoc-openapi-starter-webmvc-ui</artifactId>
            <version>2.8.5</version>
        </dependency>

        <dependency>
            <groupId>org.apache.httpcomponents</groupId>
            <artifactId>httpclient</artifactId>
            <version>4.5.14</version>
        </dependency>

        <dependency>
            <groupId>org.dom4j</groupId>
            <artifactId>dom4j</artifactId>
            <version>2.1.4</version>
        </dependency>

        <dependency>
            <groupId>io.github.openfeign</groupId>
            <artifactId>feign-core</artifactId>
            <version>13.2.1</version>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-security</artifactId>
        </dependency>

        <dependency>
            <groupId>net.sf.sevenzipjbinding</groupId>
            <artifactId>sevenzipjbinding</artifactId>
            <version>16.02-2.01</version>
        </dependency>
        <dependency>
            <groupId>net.sf.sevenzipjbinding</groupId>
            <artifactId>sevenzipjbinding-all-platforms</artifactId>
            <version>16.02-2.01</version>
        </dependency>
        <dependency>
            <groupId>net.lingala.zip4j</groupId>
            <artifactId>zip4j</artifactId>
            <version>2.11.5</version>
        </dependency>

        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <optional>true</optional>
        </dependency>

        <dependency>
            <groupId>commons-io</groupId>
            <artifactId>commons-io</artifactId>
            <version>2.11.0</version>
        </dependency>

        <dependency>
            <groupId>com.auth0</groupId>
            <artifactId>java-jwt</artifactId>
            <version>4.4.0</version>
        </dependency>

        <dependency>
            <groupId>com.google.zxing</groupId>
            <artifactId>core</artifactId>
            <version>3.5.3</version>
        </dependency>

        <dependency>
            <groupId>com.google.zxing</groupId>
            <artifactId>javase</artifactId>
            <version>3.5.3</version>
        </dependency>

        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-test</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-redis</artifactId>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>
        </plugins>
    </build>

</project>
